Add Frontend Actions to Agent
curl --request PATCH \
--url https://{appId}.api-{region}.cometchat.io/v3/ai-agents/agent-builder/agents/{uid}/frontend-actions/add \
--header 'Content-Type: application/json' \
--header 'apikey: <api-key>' \
--data '
{
"frontendActions": [
"openProduct_modal",
"showNotification"
]
}
'import requests
url = "https://{appId}.api-{region}.cometchat.io/v3/ai-agents/agent-builder/agents/{uid}/frontend-actions/add"
payload = { "frontendActions": ["openProduct_modal", "showNotification"] }
headers = {
"apikey": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {apikey: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({frontendActions: ['openProduct_modal', 'showNotification']})
};
fetch('https://{appId}.api-{region}.cometchat.io/v3/ai-agents/agent-builder/agents/{uid}/frontend-actions/add', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"uid": "agent-uuid-1234",
"appId": "my-app-id",
"name": "Support Agent",
"icon": "https://example.com/icon.png",
"isActive": true,
"description": "A helpful support agent",
"tools": [
"gmail",
"slack"
],
"files": [],
"websites": [],
"otherKbIntegrations": [],
"apiTools": [],
"mcpServers": [],
"frontendActions": [],
"ragVersion": "v2",
"lastMessageAt": null,
"instruction": "You are a helpful assistant",
"formattedInstruction": "You are a helpful assistant",
"metaData": {},
"model": "gpt-4o-mini",
"modelMetaData": {},
"createdAt": 1700000000000,
"updatedAt": 1700000000000
}
}Frontend Actions
Add Frontend Actions to Agent
Adds one or more frontend actions to a specific agent. Use this endpoint to enable an agent to trigger client-side UI operations. Frontend actions allow agents to interact with the user interface
PATCH
/
ai-agents
/
agent-builder
/
agents
/
{uid}
/
frontend-actions
/
add
Add Frontend Actions to Agent
For the complete error reference, see Error Guide.
Authorizations
API Key (i.e. Rest API Key from the Dashboard).
Path Parameters
Unique identifier of the agent
Body
application/json
Array of frontend action function names to add or remove
Example:
["openProduct_modal", "showNotification"]Was this page helpful?
⌘I